Name:           supybot-fedora
Version:        0.5.1
Release:        1%{?dist}
Summary:        Plugin for Supybot to interact with Fedora services

Group:          Applications/Internet
License:        BSD
URL:            https://github.com/fedora-infra/supybot-fedora
Source0:        https://github.com/fedora-infra/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Requires:       python3-fedora
Requires:       limnoria
Requires:	fasjson-client
Requires:       python3-requests
Requires:       python3-arrow
Requires:       python3-pyyaml

BuildArch:      noarch
BuildRequires:  python3-devel

%description
A Supybot plugin which provides access to Fedora information. Implements a
variety of commands, such as:

 * fas
 * fasinfo
 * ext
 * bug
 * whoowns

These provide various information from the Fedora Package Database and
Account System and provide it via IRC


%prep
%autosetup -n %{name}-%{version}


%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/%{python3_sitelib}/supybot/plugins/Fedora
install -pm 644 supybot_fedora/*.py $RPM_BUILD_ROOT/%{python3_sitelib}/supybot/plugins/Fedora


%files
%doc README.md
%{python3_sitelib}/supybot/plugins/Fedora


%changelog
* Mon Jul 05 2021 Ryan Lerch <rlerch@redhat.com> - 0.5.1-1
- Update to latest 0.5.1 Release

* Tue May 25 2021 Ryan Lerch <rlerch@redhat.com> - 0.5.0-1
- Update to latest 0.5.0 Release (Python3)

* Sat Jul 28 2018 Rick Elrod <relrod@redhat.com> - 0.4.2-1
- Fix .whoowns, latest upstream tag.

* Thu Jul 26 2018 Rick Elrod <relrod@redhat.com> - 0.4.1-1
- Karma bug fix, latest upstream tag.

* Thu Jul 26 2018 Rick Elrod <relrod@redhat.com> - 0.4-1
- Bump to latest upstream to remove pkgdb support.

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 21 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3.5-8
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 03 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.3.5-3
- Update upstream url

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 12 2015 Ralph Bean <rbean@redhat.com> - 0.3.5-1
- New dctime command.
- Character encoding fix for the .pulls command.

* Mon Aug 31 2015 Ralph Bean <rbean@redhat.com> - 0.3.4-1
- Latest upstream.
- Include pagure pull requests alongside github.
- Handle karma totals "per-release" based on pkgdb collections data.
- Transform irc nicks in fas usernames when querying for karma.
- Guard against 'c++', and 'i++', etc..

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 12 2015 Ralph Bean <rbean@redhat.com> - 0.3.3-1
- new version

* Mon Apr 27 2015 Ralph Bean <rbean@redhat.com> - 0.3.2-1
- new version

* Fri Mar 20 2015 Ralph Bean <rbean@redhat.com> - 0.3.1-1
- new version

* Wed Mar 18 2015 Ralph Bean <rbean@redhat.com> - 0.3.0-1
- Latest upstream with new karma commands.

* Thu Dec 11 2014 Ralph Bean <rbean@redhat.com> - 0.2.17-1
- Latest upstream.
- Enhancements to .nextmeeting.
- Enhancements to .pulls.

* Mon Nov 10 2014 Ralph Bean <rbean@redhat.com> - 0.2.16-1
- Latest upstream with .pushduty command.

* Thu Sep 25 2014 Ralph Bean <rbean@redhat.com> - 0.2.15-1
- Latest upstream with list PRs and vacation commands.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 09 2014 Ralph Bean <rbean@redhat.com> - 0.2.14-3
- Requires on python-arrow, because we need it now.

* Mon Apr 07 2014 Ralph Bean <rbean@redhat.com> - 0.2.14-2
- BR on python2-devel for fancy macros.

* Mon Apr 07 2014 Ian Weller <iweller@redhat.com> - 0.2.14-1
- Version 0.2.14

* Fri Aug 23 2013 Ian Weller <iweller@redhat.com> - 0.2.13.1-1
- Bump to version 0.2.13.1

* Fri Aug 23 2013 Ian Weller <iweller@redhat.com> - 0.2.13-1
- Bump to version 0.2.13

* Tue Aug 20 2013 Ian Weller <iweller@redhat.com> - 0.2.12-1
- Bump to version 0.2.12

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 03 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 0.2.11-1
- Rebase to upstream 0.2.11

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue May 03 2011 Dave Riches <david.r@ultracar.co.uk> - 0.2.9.1-2
- fixed requires issue for supybot

* Sat Apr 09 2011 Jon Stanley <jonstanley@gmail.com> - 0.2.9.1-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Feb 12 2010 Jon Stanley <jonstanley@gmail.com> - 0.2.8-1
- New upstream 0.2.8

* Tue Jan 26 2010 Ian Weller <ian@ianweller.org> - 0.2.7-1
- New upstream 0.2.7

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 5 2009 Jon Stanley <jonstanley@gmail.com> - 0.2.5.1-1
- New upstream 0.2.5.1

* Wed Apr 1 2009 Jon Stanley <jonstanley@gmail.com> - 0.2.5-1
- New upstream -.2.5

* Mon Mar 30 2009 Jon Stanley <jonstanley@gmail.com> - 0.2.4-1
- New upstream 0.2.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Jon Stanley <jonstanley@gmail.com> - 0.2.3-1
- New upstream 0.2.3

* Sun Jan 11 2009 Jon Stanley <jonstanley@gmail.com> - 0.2.2-1
- New upstream 0.2.2

* Sun Jan 4 2009 Jon Stanley <jonstanley@gmail.com> - 0.2.1-1
- New upstream 0.2.1

* Sun Dec 7 2008 Jon Stanley <jonstanley@gmail.com> - 0.2-4
- Fix license tag per review

* Fri Dec 5 2008 Jon Stanley <jonstanley@gmail.com> - 0.2-3
- More review fixups

* Thu Dec 4 2008 Jon Stanley <jonstanley@gmail.com> - 0.2-2
- Fixup from package review

* Thu Dec 4 2008 Jon Stanley <jonstanley@gmail.com> - 0.2-1
- Initial package
